View Issue Details

IDProjectCategoryView StatusLast Update
0001638SymmetricDSImprovementpublic2014-03-16 10:31
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.19 
Target Version3.5.19Fixed in Version3.5.19 
Summary0001638: REST call for client to know how many batches and rows are waiting
DescriptionAdd a REST call for clients to find out the number of batches and rows are waiting for them to pull.

/api/engine/outgoingBatchSummary?nodeId=1&securityToken=62155864d075e1fab29e5b8bc3f1f9
{
  "nodeId": "1",
  "batchCount": 1,
  "dataCount": 1,
  "status": "NE",
  "oldestBatchCreateTime": 1394459928420
}
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master af24172b

2014-03-10 10:24:34

erilong

Details Diff
0001638: REST call for client to know how many batches and rows are waiting
0001638
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/rest/RestService.java Diff File

Issue History

Date Modified Username Field Change
2014-03-10 10:03 elong New Issue
2014-03-10 10:03 elong Status new => assigned
2014-03-10 10:03 elong Assigned To => elong
2014-03-10 10:24 elong Summary REST call for client to know how many batches are rows are waiting => REST call for client to know how many batches and rows are waiting
2014-03-10 11:00 Changeset attached => SymmetricDS trunk r8044
2014-03-10 11:00 Changeset attached => SymmetricDS 3.5 r8045
2014-03-11 16:31 elong Status assigned => resolved
2014-03-11 16:31 elong Fixed in Version => 3.5.19
2014-03-11 16:31 elong Resolution open => fixed
2014-03-16 10:31 chenson Status resolved => closed
2015-07-30 21:49 Changeset attached => SymmetricDS master af24172b